function check(x,podm,form)
%        ~~~~~~~~~~~~~~~~~~
% x     matice
% podm  string, podmnka zapsan pro jmno matice v mst voln !!!
%
%       Pklad:
%       ~~~~~~~    
%                 k=1:5;
%                 check(k.^2,'k>10')
%
%       Vstup:   1    4   1.600e+001
%                 1    5   2.500e+001

if nargin<3, form='%13.4e'; end
if nargin<2
	podm='x==x'; 
else
	podm = strrep(podm,inputname(1),'x');
end 
[m,n]=size(x);
ix = (1:m*n)';
ix = ix(eval(podm));
x  = x(eval(podm));

for k = 1:length(ix);
    if isreal(x(k))
        xs = sprintf(form,x(k));
    else
        xs = sprintf([form form '*i'],[real(x(k)),imag(x(k))]);
    end
	j   = floor((ix(k)-1)/m)+1;
	idx = sprintf('%5i',[ix(k)-(j-1)*m, j]);
    out([idx xs '\n'])
end
