% DELIJ.M 	Vypust radky a sloupce matice
% ~~~~~~~
%   B = delij(A,ir,jc)
%   ~~~~~~~~~~~~~~~~~~
%	A	matice
%	ir	vektor indexu vypoustenych radek
%	jc	vektor indexu vypoustenych sloupcu
%	B	redukovana matice
%
%     Priklady:
%     ~~~~~~~~
%       b = delij(1:5,[],[3,4]);%  vysledek:  [1 2 5]
%       X = delij(Y,u,v);       %  u, v jsou vektory indexu

function B = delij(A,ir,jc)
%	     ~~~~~~~~~~~~~~

[m,n] = size(A);
m=1:m;  m(ir)=0;
n=1:n;  n(jc)=0;

B = A(find(m),find(n));
