% TSINV.M      Time-series matrix inversion
% ~~~~~~~
function C = tsinv(A)
%        ~~~~~~~~~~~~

[N,nA] = size(A);
mA = round(sqrt(nA));
Ak = zeros(mA);
Ck = zeros(mA);
C  = zeros(size(A));

for k = 1:N
    Ak(:) = A(k,:);
    Ck    = inv(Ak);
    C(k,:)= Ck(:).';
end
