% TSMUL.M      Time-series multiplication C = A*B
% ~~~~~~~
function  C = tsmul(A,B,mA)
%         ~~~~~~~~~~~~~~~~~

[N,nA] = size(A);  nA = nA/mA;
[N,nB] = size(B);  nB = nB/nA;
Ak = zeros(mA,nA);
Bk = zeros(nA,nB);
Ck = zeros(mA,nB);
C  = zeros(N,mA*nB);

for k = 1:N
    Ak(:) = A(k,:);
    Bk(:) = B(k,:);
    Ck    = Ak*Bk;
    C(k,:)= Ck(:).';
end % k

