function s=sprintfm(par1, par2) %  Formtov konverze matice na etz
%        ~~~~~~~~~~~~~~~~~~~~~~
%  par1  = formt nebo jmno matice
%  par2  = jmno matice, pokud par1 = formt;
%          nic, pokud par1 byl jmnem matice.
%          Potom formt bude '%7.4f'
%
%   Pklady:
%   ~~~~~~~~~
%          sprintfm(A) %          Vstup na obrazovku v '%9.4'
%          sprintfm('%12.4e',A) % dtto ve formtu '%12.4e'

if nargin==2
   format=[' ' par1]; mx=par2;
else
   format=' %9.4f'; mx=par1;
end
nrow=size(mx,1);
s=sprintf(format, mx');
s((1:nrow)*length(s)/nrow+1)=10;%   put N/L
s(1)='';
