% SETLIST.M       Set list of data files
% ~~~~~~~~~
%  [list,m] = setlist(pth,ext)
%  %%%%%%%%%%%%%%%%%%%%%%%%%%
%     pth   Path to the data-file directory
%     ext   Extension of the name
%     list  list of all files with the required extension in "ext"
%     m     Number of names (files) in the list

function [list,m] = setlist(pth,ext)
%        ~~~~~~~~~~~~~~~~~~~~~~~~~~~

pth = strrep(pth,'/','\');
eval(['!dir /b ' pth '*.' ext '>tmp.tmp']); % /b/n is valid for Windows NT
fid = fopen('tmp.tmp','r');
str = setstr(fread(fid)');
fclose(fid);
delete tmp.tmp;
s = [char(39) strrep(str, char([13 10]), char([39 32 39]))];
s = s(1:length(s)-1);
eval(['c={' s '};']);
list  = char(c);
[m,n] = size(list);
