% DFREAD.M			Data file read
% ~~~~~~~~
function str = dfread(file)
%        ~~~~~~~~~~~~~~~~~~
%   file = full data file name with extension (string).
%          File should contain MATLAB statements defining matrices e.g.:
%            A = [ 1, 2, pi
%                  2, 3, 15];
%            B = rand(3); etc.
%   str  = output string containing all characters of the file.
%          A user gets the matrices defined in the file by the call
%               
%                eval(dfread('file_name.ext'))
%                ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

fid = fopen(file,'r');
str = setstr(fread(fid)');
fclose(fid);

